Subject: bug#10895: Quirky behaviours with Arabic text

From: Jason Rumney <[email-masked]>
Date: Wed, 29 Feb 2012 22:54:41 +0800

sergei karhof <[email-masked]> writes:

> On Mon, Feb 27, 2012 at 7:17 PM, Eli Zaretskii <[email-masked]> wrote:
>
>> Sergei, could you please try invoking Emacs with the
>> `-xrm Emacs.fontBackend:gdi' command-line argument, and see if the
>> problem persists with the GDI backend?  That's assuming that GDI at
>> all supports Arabic shaping; I don't know enough about this to tell,
>> sorry.
>
> I have just tried this, but it totally messes up the text, as you can
> see from screenshot #5 here attached.

I would expect that. The GDI font backend has no support for font
shaping, which is definitely required for proper Arabic support.  What I
suspect is that Emacs is doing more in terms of supporting Arabic than
the uniscribe shaping engine expects.